Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class PieInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.PieInfo

    public class PieInfo

extends ChartTypeInfo

contains the information of pie chart type in the file. The class extends chartTypeInfo

Field Summary
`static short` | `NORMAL`
`static short` | `SHOWLDRLINES`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`PieInfo(short dataLabel, boolean is3D, Info3D info3D, short style, short explodedPercent)` Constructs class PeiInfo and sets its fields appropriately.

Method Summary
`short` | `getAnStart()` Get the Angle of the first pie slice expressed in degrees
`int` | `getChartType()` Get the type of the chart
`short` | `getExplodedPercent()` Get the distance of pie slice from center of pie
`short` | `getPcDonut()` Get the size of center hole in a donut chart
`short` | `getStyle()` Get the style of the pie chart
`boolean` | `hasShadow()` get whether this pie has a shadow or not
`void` | `setAnstart(short anStart)` Set Angle of the first pie slice expressed in degrees
`void` | `setExplodedPercent(short explodedPercent)` Set the distance of pie slice from center of pie
`void` | `setHasShadow(boolean b)` set whether this pie has a shadow or not if the chart is 3D, it can not set shadow
`void` | `setPcDonut(short pcDonut)` Set the size of center hole in a donut chart
`void` | `setStyle(short style)` Set the style of the pie chart

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

See Also:
  Constant Field Values

### SHOWLDRLINES

    public static final short SHOWLDRLINES

See Also:
  Constant Field Values

Constructor Detail

### PieInfo

    public PieInfo(short dataLabel,
                   boolean is3D,
                   Info3D info3D,
                   short style,
                   short explodedPercent)

  Constructs class PeiInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 2 for show percent, 22 for show label and percent, 16 for show label
    `is3D` - Is 3D chart or not
    `style` - Style of pie chart, NORMAL or SHOWLDRLINES
    `explodedPercent` - Distance of pie slice from center of pie

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getAnStart

    public short getAnStart()

  Get the Angle of the first pie slice expressed in degrees

  Returns:
    Angle of the first pie slice expressed in degrees

### setAnstart

    public void setAnstart(short anStart)

  Set Angle of the first pie slice expressed in degrees

  Parameters:
    `anStart` - Angle of the first pie slice expressed in degrees

### getPcDonut

    public short getPcDonut()

  Get the size of center hole in a donut chart

  Returns:
    size of center hole in a donut chart,0 for true pie chart

### setPcDonut

    public void setPcDonut(short pcDonut)

  Set the size of center hole in a donut chart

  Parameters:
    `pcDonut` - 0=true pie chart, non-zero=size of center hole in a donut chart

### getStyle

    public short getStyle()

  Get the style of the pie chart

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the pie chart
  See Also:
    `NORMAL`, `SHOWLDRLINES`

### setStyle

    public void setStyle(short style)

  Set the style of the pie chart

  Parameters:
    `style` - Style of the pie chart
  See Also:
    `NORMAL`, `SHOWLDRLINES`

### getExplodedPercent

    public short getExplodedPercent()

  Get the distance of pie slice from center of pie

  Returns:
    the distance of pie slice from center of pie

### setExplodedPercent

    public void setExplodedPercent(short explodedPercent)

  Set the distance of pie slice from center of pie

  Parameters:
    `explodedPercent` - Distance of pie slice from center of pie

### hasShadow

    public boolean hasShadow()

  get whether this pie has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this pie has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  set whether this pie has a shadow or not if the chart is 3D, it can not set shadow

  Parameters:
    `b` - - whether this pie has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD